Bug 596385 - implement dev_disable_lro for RHEL5 [rhel-5.5.z]
Summary: implement dev_disable_lro for RHEL5 [rhel-5.5.z]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: ZStream
Depends On: 582367
Blocks: 619915
TreeView+ depends on / blocked
 
Reported: 2010-05-26 17:15 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:20 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Large-Receive Offload (LRO) is a performance optimization that enables the kernel to fetch and process, as a unit, more than one received packet from a network device. It was previously not possible to dynamically disable LRO for devices in a forwanding mode. This has been fixed with this update so that the kernel is able to dynamically disable LRO for devices in a forwarding state, or which had had LRO turned on manually.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 18:29:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0504 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-07-01 18:26:58 UTC

Description RHEL Product and Program Management 2010-05-26 17:15:44 UTC
This bug has been copied from bug #582367 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 3 Jiri Pirko 2010-06-07 13:31:23 UTC
in 2.6.18-194.6.1.el5

Comment 6 Neil Horman 2010-06-28 11:09:14 UTC
You should be able to force LRO off for various drivers by adding them to a bridge interface.  Detecting if it works will ususaly require you to look in the message log for various informational driver messages about lro being disabled.

Comment 9 Douglas Silas 2010-06-28 20:27:22 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Large-Receive Offload (LRO) is a performance optimization that enables the kernel to fetch and process, as a unit, more than one received packet from a network device. It was previously not possible to dynamically disable LRO for devices in a forwanding mode. This has been fixed with this update so that the kernel is able to dynamically disable LRO for devices in a forwarding state, or which had had LRO turned on manually.

Comment 11 errata-xmlrpc 2010-07-01 18:29:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0504.html


Note You need to log in before you can comment on or make changes to this bug.